org.wso2.carbon.device.mgt.iot.androidsense.service.impl.constants

## Class AndroidSenseConstants

- java.lang.Object
- - org.wso2.carbon.device.mgt.iot.androidsense.service.impl.constants.AndroidSenseConstants

-     public class AndroidSenseConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONFIG_TYPE`
    `static String` | `DEFAULT_ENDPOINT`
    `static String` | `DEVICE_TYPE`
    `static String` | `HOST_NAME`
    `static String` | `LOCALHOST`
    `static String` | `MQTT_ADAPTER_TOPIC_PROPERTY_NAME`
    `static String` | `PERM_ENROLL_ANDROID_SENSE`
    `static String` | `PERM_OWNING_DEVICE_VIEW`
    `static String` | `ROLE_NAME`
    `static String` | `SCOPE`
    `static String` | `SENSOR_ACCELEROMETER`
    `static String` | `SENSOR_BATTERY`
    `static String` | `SENSOR_GPS`
    `static String` | `SENSOR_GRAVITY`
    `static String` | `SENSOR_GYROSCOPE`
    `static String` | `SENSOR_LIGHT`
    `static String` | `SENSOR_MAGNETIC`
    `static String` | `SENSOR_PRESSURE`
    `static String` | `SENSOR_PROXIMITY`
    `static String` | `SENSOR_ROTATION`
    `static String` | `SENSOR_WORDCOUNT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AndroidSenseConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEVICE_TYPE

          public static final String DEVICE_TYPE

      See Also:
        Constant Field Values

    - #### SENSOR_ACCELEROMETER

          public static final String SENSOR_ACCELEROMETER

      See Also:
        Constant Field Values

    - #### SENSOR_BATTERY

          public static final String SENSOR_BATTERY

      See Also:
        Constant Field Values

    - #### SENSOR_GPS

          public static final String SENSOR_GPS

      See Also:
        Constant Field Values

    - #### SENSOR_GRAVITY

          public static final String SENSOR_GRAVITY

      See Also:
        Constant Field Values

    - #### SENSOR_GYROSCOPE

          public static final String SENSOR_GYROSCOPE

      See Also:
        Constant Field Values

    - #### SENSOR_LIGHT

          public static final String SENSOR_LIGHT

      See Also:
        Constant Field Values

    - #### SENSOR_MAGNETIC

          public static final String SENSOR_MAGNETIC

      See Also:
        Constant Field Values

    - #### SENSOR_PRESSURE

          public static final String SENSOR_PRESSURE

      See Also:
        Constant Field Values

    - #### SENSOR_PROXIMITY

          public static final String SENSOR_PROXIMITY

      See Also:
        Constant Field Values

    - #### SENSOR_ROTATION

          public static final String SENSOR_ROTATION

      See Also:
        Constant Field Values

    - #### SENSOR_WORDCOUNT

          public static final String SENSOR_WORDCOUNT

      See Also:
        Constant Field Values

    - #### MQTT_ADAPTER_TOPIC_PROPERTY_NAME

          public static final String MQTT_ADAPTER_TOPIC_PROPERTY_NAME

      See Also:
        Constant Field Values

    - #### HOST_NAME

          public static final String HOST_NAME

      See Also:
        Constant Field Values

    - #### LOCALHOST

          public static final String LOCALHOST

      See Also:
        Constant Field Values

    - #### CONFIG_TYPE

          public static final String CONFIG_TYPE

      See Also:
        Constant Field Values

    - #### DEFAULT_ENDPOINT

          public static final String DEFAULT_ENDPOINT

      See Also:
        Constant Field Values

    - #### SCOPE

          public static final String SCOPE

      See Also:
        Constant Field Values

    - #### PERM_ENROLL_ANDROID_SENSE

          public static final String PERM_ENROLL_ANDROID_SENSE

      See Also:
        Constant Field Values

    - #### PERM_OWNING_DEVICE_VIEW

          public static final String PERM_OWNING_DEVICE_VIEW

      See Also:
        Constant Field Values

    - #### ROLE_NAME

          public static final String ROLE_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AndroidSenseConstants

          public AndroidSenseConstants()

Copyright © 2017 WSO2. All rights reserved.